%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Simple DirectMedia Layer for pango 
Name:		SDL_Pango
Version:	0.1.2
Release:	%mkrel 20
License:	LGPLv2+
Group:		System/Libraries
URL:		https://sdlpango.sourceforge.net/
Source0:	https://downloads.sourceforge.net/sdlpango/%{name}-%{version}.tar.bz2
Patch0:		SDL_Pango-0.1.2-API-adds.patch
Patch1:		fix-explicit-SDLPango_CopyFTBitmapToSurface.patch
BuildRequires:	pkgconfig(sdl) >= 1.2.4
BuildRequires:	pkgconfig(pango) >= 1.2.0
BuildRequires:	pkgconfig(pangoft2) >= 1.2.0

%description
Pango is the text rendering engine of GNOME 2.
SDL_Pango connects the engine to SDL.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name}
Obsoletes:	%{name}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}SDL_Pango1-devel < 0.1.2-4

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch -P0 -p0
%patch -P1 -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.1.2-20.mga10
+ Revision: 2227914
- Mageia 10 Mass Rebuild

* Mon Sep 23 2024 ns80 <ns80> 0.1.2-19.mga10
+ Revision: 2100684
- add a patch from Debian to fix implicit declaration of function 'SDLPango_CopyFTBitmapToSurface'

* Fri Apr 01 2022 umeabot <umeabot> 0.1.2-18.mga9
+ Revision: 1839089
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.1.2-17.mga8
+ Revision: 1516907
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.1.2-16.mga7
+ Revision: 1300984
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.1.2-15.mga6
+ Revision: 944593
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-14.mga5
+ Revision: 739069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-13.mga5
+ Revision: 687369
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-12.mga5
+ Revision: 677652
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.2-11.mga4
+ Revision: 528040
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 fwang <fwang> 0.1.2-10.mga4
+ Revision: 443251
- force reconf
- cleanup spec

* Fri Jan 11 2013 umeabot <umeabot> 0.1.2-10.mga3
+ Revision: 345086
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 12 2011 fwang <fwang> 0.1.2-9.mga2
+ Revision: 142657
- drop .la files

* Thu Jan 27 2011 jquelin <jquelin> 0.1.2-8.mga1
+ Revision: 42131
- remove mandriva macros
- imported package SDL_Pango


* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-8mdv2010.1
+ Revision: 520005
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-7mdv2010.0
+ Revision: 413007
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.1.2-6mdv2009.0
+ Revision: 225430
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Anssi Hannula <anssi@mandriva.org> 0.1.2-5mdv2008.1
+ Revision: 151075
- fix obsolete

* Sun Jan 13 2008 Anssi Hannula <anssi@mandriva.org> 0.1.2-4mdv2008.1
+ Revision: 151074
- provide %%name-devel
- versionize obsoletes
- do not provide old -devel name

* Sun Jan 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-3mdv2008.1
+ Revision: 150943
- new license policy
- new devel policy
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 0.1.2-2mdv2008.0
+ Revision: 29965
- rebuild for new directfb and SDL


* Sat Oct 28 2006 Michael Scherer <misc@mandriva.org> 0.1.2-1mdv2007.0
+ Revision: 73540
- add missing pango-devel
- Import SDL_Pango

